### Hierarchy

- HDKey

## Index

### Constructors

- constructor

### Properties

- _privateKey
- _publicKey
- chainCode
- privateExtendedKey
- publicExtendedKey

### Methods

- derive
- deriveChild
- derivePath
- fromExtendedKey
- fromMasterSeed

## Constructors

### constructor

- new HDKey(): HDKey

- - Defined in cs/accounts/hdkey.ts:9

  #### Returns HDKey

## Properties

### _privateKey

_privateKey: Buffer

- Defined in cs/accounts/hdkey.ts:6

### _publicKey

_publicKey: Buffer

- Defined in cs/accounts/hdkey.ts:5

### chainCode

chainCode: Buffer

- Defined in cs/accounts/hdkey.ts:9

### privateExtendedKey

privateExtendedKey: string

- Defined in cs/accounts/hdkey.ts:7

### publicExtendedKey

publicExtendedKey: string

- Defined in cs/accounts/hdkey.ts:8

## Methods

### derive

- derive(path: string): HDKey

- - Defined in cs/accounts/hdkey.ts:11

  #### Parameters

  - ##### path: string

  #### Returns HDKey

### deriveChild

- deriveChild(index: number): HDKey

- - Defined in cs/accounts/hdkey.ts:12

  #### Parameters

  - ##### index: number

  #### Returns HDKey

### derivePath

- derivePath(path: string): HDKey

- - Defined in cs/accounts/hdkey.ts:13

  #### Parameters

  - ##### path: string

  #### Returns HDKey

### Static fromExtendedKey

- fromExtendedKey(extendedKey: string): HDKey

- - Defined in cs/accounts/hdkey.ts:4

  #### Parameters

  - ##### extendedKey: string

  #### Returns HDKey

### Static fromMasterSeed

- fromMasterSeed(seed: Buffer): HDKey

- - Defined in cs/accounts/hdkey.ts:3

  #### Parameters

  - ##### seed: Buffer

  #### Returns HDKey

Generated using TypeDoc